Primitive Types
Types

## Data Structures

struct | pn_decimal128_t
struct | pn_uuid_t
struct | pn_bytes_t

## Macros

#define | PN_MILLIS_MAX (~0U)

## Typedefs

typedef int32_t | pn_sequence_t
typedef uint32_t | pn_millis_t
typedef uint32_t | pn_seconds_t
typedef int64_t | pn_timestamp_t
typedef uint32_t | pn_char_t
typedef uint32_t | pn_decimal32_t
typedef uint64_t | pn_decimal64_t

## Functions

PN_EXTERN pn_timestamp_t | pn_timestamp_now (void)
| Return a timestamp for the time now. More...
PN_EXTERN pn_bytes_t | pn_bytes (size_t size, const char *start)

## Detailed Description

## Macro Definition Documentation

## PN_MILLIS_MAX

#define PN_MILLIS_MAX (~0U)

## Typedef Documentation

## pn_char_t

typedef uint32_t pn_char_t

## pn_decimal32_t

typedef uint32_t pn_decimal32_t

## pn_decimal64_t

typedef uint64_t pn_decimal64_t

## pn_millis_t

typedef uint32_t pn_millis_t

## pn_seconds_t

typedef uint32_t pn_seconds_t

## pn_sequence_t

typedef int32_t pn_sequence_t

## pn_timestamp_t

typedef int64_t pn_timestamp_t

## Function Documentation

## pn_bytes()

PN_EXTERN pn_bytes_t pn_bytes | ( | size_t | size,
|  | const char * | start
| ) |  |

## pn_timestamp_now()

PN_EXTERN pn_timestamp_t pn_timestamp_now | ( | void |  | ) |

Return a timestamp for the time now.